Subject: [alpine-devel] testing/rdiff-backup: new aport

From: "Jeremy Thomerson" <[email-masked]>
Date: Thu, 21 Oct 2010 14:37:33 +0000

This is the follow-up to last night's patch to add rdiff-backup.

Is there some way that I should do this to make it appear as one patch?  I wasn't sure of your procedure, 
but since I'd already committed the first (broken) attempt locally, the second commit to fix it is a second
patch as well.

Jeremy

From 7073ba38502b453070d42f0f03115556a5a6f9f3 Mon Sep 17 00:00:00 2001
From: Jeremy Thomerson <[email-masked]>
Date: Thu, 21 Oct 2010 14:12:39 +0000
Subject: [PATCH 2/2] testing/rdiff-backup: fix dependencies

---
 testing/rdiff-backup/APKBUILD |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/testing/rdiff-backup/APKBUILD b/testing/rdiff-backup/APKBUILD
index 6ffd197..6fcabd7 100644
--- a/testing/rdiff-backup/APKBUILD
+++ b/testing/rdiff-backup/APKBUILD
@@ -7,7 +7,7 @@ pkgdesc="A backup utility that maintains extra reverse diffs so that files can b
 url="http://www.gnu.org/savannah-checkouts/non-gnu/rdiff-backup/"
 license="GPL"
 depends="python"
-makedepends="librsync-dev"
+makedepends="librsync-dev python-dev"
 subpackages="$pkgname-doc"
 source="http://savannah.nongnu.org/download/rdiff-backup/$pkgname-$pkgver.tar.gz"
 
-- 
1.7.3.1

From 05f7a0b270332205c555c698537dabaec9a2f979 Mon Sep 17 00:00:00 2001
From: Jeremy Thomerson <[email-masked]>
Date: Thu, 21 Oct 2010 05:03:53 +0000
Subject: [PATCH 1/2] create new package for rdiff-backup

---
 testing/rdiff-backup/APKBUILD |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100644 testing/rdiff-backup/APKBUILD

diff --git a/testing/rdiff-backup/APKBUILD b/testing/rdiff-backup/APKBUILD
new file mode 100644
index 0000000..6ffd197
--- /dev/null
+++ b/testing/rdiff-backup/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Jeremy Thomerson <[email-masked]>
+# Maintainer: Jeremy Thomerson <[email-masked]>
+pkgname=rdiff-backup
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="A backup utility that maintains extra reverse diffs so that files can be restored from previous backups."
+url="http://www.gnu.org/savannah-checkouts/non-gnu/rdiff-backup/"
+license="GPL"
+depends="python"
+makedepends="librsync-dev"
+subpackages="$pkgname-doc"
+source="http://savannah.nongnu.org/download/rdiff-backup/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+        cd "$_builddir"
+        python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1a94dc537fcf74d6a3a80bd27808e77b  rdiff-backup-1.2.8.tar.gz"
-- 
1.7.3.1

---

From: Natanael Copa <[email-masked]>
Date: Mon, 25 Oct 2010 17:47:16 +0200

> but since I'd already committed the first (broken) attempt locally, the second commit to fix it is a second

Yes.

Do change.
git add APBUILD
git commit --amend

will "redo" last commit.

Does not work if the changes are pushed to a public repository, since it
will create problems for people who have checked it out. (you rewrite
the history).

We should update the wiki with this info. Soemthing like:
If patch is rejected on mailing list, do the suggested changes, git
commit --amend and git send-email again.

> Jeremy

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeremy Thomerson <[email-masked]>
Date: Mon, 25 Oct 2010 10:54:57 -0500

Okay - coming momentarily.

---

From: Natanael Copa <[email-masked]>
Date: Mon, 25 Oct 2010 17:57:10 +0200

> This is the follow-up to last night's patch to add rdiff-backup.

Applied.

I did the change with 'git commit --amend' instead so it shows up as one
commit.

Thanks!

-nc

---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 25 Oct 2010 18:02:27 +0200

> I did the change with 'git commit --amend' instead so it shows up as one

but i didnt push it. Using the one you sent, instead :)

Thanks!

-nc

---